#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n, x;
    cin >> n >> x;

    int ar[n];
    for(int i = 0; i < n; i++)
    {
        cin >> ar[i];
    }

    sort(ar, ar+n);
    int prvi = ar[0], drugi = ar[n-1];

    if(x <= prvi)
    {
        cout << abs(x-drugi);
    }
    else if(x >= drugi)
    {
        cout << abs(x-prvi);
    }
    else
    {
        cout << min(abs(x-prvi), abs(x-drugi))*2 + max(abs(x-prvi), abs(x-drugi));
    }
}